Bug 56886 - Apple Mac GYP build fails most (all?) plugin tests
Summary: Apple Mac GYP build fails most (all?) plugin tests
Status: RESOLVED INVALID
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 55018
  Show dependency treegraph
 
Reported: 2011-03-22 18:19 PDT by Adam Barth
Modified: 2014-01-14 09:22 PST (History)
3 users (show)

See Also:


Attachments
Work in progress (6.68 KB, patch)
2011-03-24 23:14 PDT, Adam Barth
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Barth 2011-03-22 18:19:08 PDT
Looks like plug-ins are failing to load for some reason.  Here's the list of tests that are failing:

Tests where results did not match expected results:

compositing/plugins/composited-plugin.html
compositing/plugins/small-to-large-composited-plugin.html
fast/frames/sandboxed-iframe-about-blank.htmk
fast/frames/sandboxed-iframe-navigation-allowed.html
fast/frames/sandboxed-iframe-plugins.html	expected	actual	diff	pretty diff
fast/replaced/invalid-object-with-fallback.html
java/java-and-plugins.html
java/lc3/JSObject/ToObject-001.html
platform/mac/plugins/testplugin-onnew-onpaint.html
plugins/destroy-during-npp-new.html
plugins/destroy-stream-twice.html
plugins/embed-inside-object.html
plugins/get-empty-url.html
plugins/get-file-url.html
plugins/get-javascript-url.html
plugins/get-url-that-the-resource-load-delegate-will-disallow.html
plugins/get-url-with-blank-target.html
plugins/get-user-agent-with-null-npp-from-npp-new.html
plugins/inner-html-display-none.html
plugins/instance-available-before-stylesheets-loaded-object.html
plugins/instance-available-before-stylesheets-loaded.html
plugins/invalidate_rect.html
plugins/multiple-plugins.html
plugins/netscape-dom-access.html
plugins/netscape-plugin-map-data-to-src.html
plugins/netscape-plugin-setwindow-size-2.html
plugins/netscape-plugin-setwindow-size.html
plugins/no-mime-with-valid-extension.html
plugins/override-node-method.html
plugins/pass-different-npp-struct.html
plugins/plugin-document-back-forward.html
plugins/plugin-remove-subframe.html
plugins/refcount-leaks.html
plugins/reloadplugins-no-pages.html
plugins/resize-from-plugin.html
plugins/return-npobject.html
plugins/script-object-invoke.html
plugins/set-status.html
plugins/npruntime/construct.html
plugins/npruntime/embed-property.html
plugins/npruntime/enumerate.html
plugins/npruntime/evaluate.html
plugins/npruntime/get-int-identifier-special-values.html
plugins/npruntime/get-property-return-value.html
plugins/npruntime/identifier-conversion.html
plugins/npruntime/invoke-browserfuncs.html
plugins/npruntime/invoke-default.html
plugins/npruntime/invoke.html
plugins/npruntime/object-from-destroyed-plugin.html
plugins/npruntime/plugin-scriptable-object-invoke-default.html
plugins/npruntime/round-trip-npobject.html
http/tests/plugins/cross-frame-object-access.html
http/tests/plugins/get-url.html
http/tests/plugins/geturlnotify-from-npp-destroystream.html
http/tests/plugins/interrupted-get-url.html
http/tests/plugins/local-geturl-from-remote.html
http/tests/plugins/npapi-response-headers.html
http/tests/security/frameNavigation/xss-DENIED-plugin-navigation.html

Tests that caused the DumpRenderTree tool to crash:

plugins/get-url-with-iframe-target.html		
plugins/get-url-with-javascript-destroying-plugin.html		
plugins/geturl-replace-query.html		
plugins/reentrant-update-widget-positions.html		
plugins/return-error-from-new-stream-doesnt-invoke-destroy-stream.html		
plugins/return-negative-one-from-write.html		
plugins/update-widgets-crash.html		
plugins/window-open.html		
plugins/npruntime/npruntime.html		
http/tests/plugins/post-url-file.html		
http/tests/plugins/third-party-cookie-accept-policy.html
Comment 1 Adam Barth 2011-03-24 23:14:03 PDT
Created attachment 86892 [details]
Work in progress